pskc_set_cryptomodule_id(3)

NAME
pskc_set_cryptomodule_id - API function

SYNOPSIS
#include <pskc.h>

void pskc_set_cryptomodule_id(pskc_key_t * key, const char * cid);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

const char * cid
    the cryptomodule id to set

DESCRIPTION
Set the PSKC KeyPackage CryptoModule Id value. This element carries a unique identifier for the CryptoModule and is implementation specific. As such, it helps to identify a specific CryptoModule to which the key is being or was provisioned. The pointer is stored in container, not a copy of the data, so you must not deallocate the data before another call to this function or the last call to any function using container.

SINCE
2.2.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://oath-toolkit.codeberg.page/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.